#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice.h>
#include <cydevice_trm.h>

/* Control_Reg_1 */
#define Control_Reg_1_ctrl_reg__0__MASK 0x01u
#define Control_Reg_1_ctrl_reg__0__POS 0
#define Control_Reg_1_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB09_10_ACTL
#define Control_Reg_1_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB09_10_CTL
#define Control_Reg_1_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB09_10_CTL
#define Control_Reg_1_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB09_10_CTL
#define Control_Reg_1_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B1_UDB09_10_CTL
#define Control_Reg_1_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B1_UDB09_10_MSK
#define Control_Reg_1_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B1_UDB09_10_MSK
#define Control_Reg_1_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B1_UDB09_10_MSK
#define Control_Reg_1_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB09_10_MSK
#define Control_Reg_1_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B1_UDB09_ACTL
#define Control_Reg_1_ctrl_reg__CONTROL_REG CYREG_B1_UDB09_CTL
#define Control_Reg_1_ctrl_reg__CONTROL_ST_REG CYREG_B1_UDB09_ST_CTL
#define Control_Reg_1_ctrl_reg__COUNT_REG CYREG_B1_UDB09_CTL
#define Control_Reg_1_ctrl_reg__COUNT_ST_REG CYREG_B1_UDB09_ST_CTL
#define Control_Reg_1_ctrl_reg__MASK 0x01u
#define Control_Reg_1_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB09_MSK_ACTL
#define Control_Reg_1_ctrl_reg__PERIOD_REG CYREG_B1_UDB09_MSK
#define Control_Reg_1_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B1_UDB09_MSK_ACTL

/* isr_1 */
#define isr_1__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define isr_1__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define isr_1__INTC_MASK 0x2000000u
#define isr_1__INTC_NUMBER 25
#define isr_1__INTC_PRIOR_NUM 7
#define isr_1__INTC_PRIOR_REG CYREG_NVIC_PRI_25
#define isr_1__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define isr_1__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* Pin_1 */
#define Pin_1__0__MASK 0x02u
#define Pin_1__0__PC CYREG_PRT6_PC1
#define Pin_1__0__PORT 6
#define Pin_1__0__SHIFT 1
#define Pin_1__AG CYREG_PRT6_AG
#define Pin_1__AMUX CYREG_PRT6_AMUX
#define Pin_1__BIE CYREG_PRT6_BIE
#define Pin_1__BIT_MASK CYREG_PRT6_BIT_MASK
#define Pin_1__BYP CYREG_PRT6_BYP
#define Pin_1__CTL CYREG_PRT6_CTL
#define Pin_1__DM0 CYREG_PRT6_DM0
#define Pin_1__DM1 CYREG_PRT6_DM1
#define Pin_1__DM2 CYREG_PRT6_DM2
#define Pin_1__DR CYREG_PRT6_DR
#define Pin_1__INP_DIS CYREG_PRT6_INP_DIS
#define Pin_1__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define Pin_1__LCD_EN CYREG_PRT6_LCD_EN
#define Pin_1__MASK 0x02u
#define Pin_1__PORT 6
#define Pin_1__PRT CYREG_PRT6_PRT
#define Pin_1__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define Pin_1__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define Pin_1__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define Pin_1__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define Pin_1__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define Pin_1__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define Pin_1__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define Pin_1__PS CYREG_PRT6_PS
#define Pin_1__SHIFT 1
#define Pin_1__SLW CYREG_PRT6_SLW

/* Pin_2 */
#define Pin_2__0__MASK 0x08u
#define Pin_2__0__PC CYREG_PRT6_PC3
#define Pin_2__0__PORT 6
#define Pin_2__0__SHIFT 3
#define Pin_2__AG CYREG_PRT6_AG
#define Pin_2__AMUX CYREG_PRT6_AMUX
#define Pin_2__BIE CYREG_PRT6_BIE
#define Pin_2__BIT_MASK CYREG_PRT6_BIT_MASK
#define Pin_2__BYP CYREG_PRT6_BYP
#define Pin_2__CTL CYREG_PRT6_CTL
#define Pin_2__DM0 CYREG_PRT6_DM0
#define Pin_2__DM1 CYREG_PRT6_DM1
#define Pin_2__DM2 CYREG_PRT6_DM2
#define Pin_2__DR CYREG_PRT6_DR
#define Pin_2__INP_DIS CYREG_PRT6_INP_DIS
#define Pin_2__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define Pin_2__LCD_EN CYREG_PRT6_LCD_EN
#define Pin_2__MASK 0x08u
#define Pin_2__PORT 6
#define Pin_2__PRT CYREG_PRT6_PRT
#define Pin_2__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define Pin_2__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define Pin_2__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define Pin_2__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define Pin_2__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define Pin_2__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define Pin_2__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define Pin_2__PS CYREG_PRT6_PS
#define Pin_2__SHIFT 3
#define Pin_2__SLW CYREG_PRT6_SLW

/* Miscellaneous */
/* -- WARNING: define names containting LEOPARD or PANTHER are deprecated and will be removed in a future release */
#define CYDEV_BOOTLOADER_IO_COMP_CUSTOM_IO 0
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIG_FASTBOOT_ENABLED 0
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1
#define CYDEV_CHIP_MEMBER_5A 2
#define CYDEV_CHIP_FAMILY_PSOC5 3
#define CYDEV_CHIP_DIE_PANTHER 2
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_PANTHER
#define CYDEV_BOOTLOADER_CHECKSUM_BASIC 0
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CYDEV_APPLICATION_ID 0x0000
#define CYDEV_APPLICATION_VERSION 0x0000
#define CYDEV_BOOTLOADER_CHECKSUM CYDEV_BOOTLOADER_CHECKSUM_BASIC
#define CYDEV_BOOTLOADER_CHECKSUM_CRC 1
#define CYDEV_BOOTLOADER_FAST_VERIFY 0
#define CYDEV_BOOTLOADER_VERSION 0x0000
#define CYDEV_BOOTLOADER_WAIT_COMMAND 1
#define CYDEV_BOOTLOADER_WAIT_TIME 200
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_LEOPARD 1
#define CYDEV_CHIP_DIE_UNKNOWN 0
#define CYDEV_CHIP_FAMILY_PSOC3 1
#define CYDEV_CHIP_FAMILY_PSOC4 2
#define CYDEV_CHIP_FAMILY_UNKNOWN 0
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC5
#define CYDEV_CHIP_JTAG_ID 0x0E13C069
#define CYDEV_CHIP_MEMBER_3A 1
#define CYDEV_CHIP_MEMBER_UNKNOWN 0
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_5A
#define CYDEV_CHIP_REVISION_3A_ES1 0
#define CYDEV_CHIP_REVISION_3A_ES2 1
#define CYDEV_CHIP_REVISION_3A_ES3 3
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3
#define CYDEV_CHIP_REVISION_5A_ES0 0
#define CYDEV_CHIP_REVISION_5A_ES1 1
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_5A_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_PANTHER_PRODUCTION
#define CYDEV_CHIP_REV_LEOPARD_ES1 0
#define CYDEV_CHIP_REV_LEOPARD_ES2 1
#define CYDEV_CHIP_REV_LEOPARD_ES3 3
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3
#define CYDEV_CHIP_REV_PANTHER_ES0 0
#define CYDEV_CHIP_REV_PANTHER_ES1 1
#define CYDEV_CONFIGURATION_COMPRESSED 0
#define CYDEV_CONFIGURATION_DMA 1
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_DMA
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_CUSTOM_ID 0x00000000
#define CYDEV_DATA_CACHE_ENABLED 0
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_REQXRES 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DEBUG_ENABLE_MASK 0x01
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DBG_DBE
#define CYDEV_DMA_CHANNELS_AVAILABLE 24
#define CYDEV_ECC_ENABLE 0
#define CYDEV_HEAP_SIZE 0x1000
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_STACK_SIZE 0x4000
#define CYDEV_VDDA 5.0
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5.0
#define CYDEV_VDDD_MV 5000
#define CYDEV_VDDIO0 5.0
#define CYDEV_VDDIO0_MV 5000
#define CYDEV_VDDIO1 5.0
#define CYDEV_VDDIO1_MV 5000
#define CYDEV_VDDIO2 5.0
#define CYDEV_VDDIO2_MV 5000
#define CYDEV_VDDIO3 5.0
#define CYDEV_VDDIO3_MV 5000
#define CYDEV_VIO0 5
#define CYDEV_VIO0_MV 5000
#define CYDEV_VIO1 5
#define CYDEV_VIO1_MV 5000
#define CYDEV_VIO2 5
#define CYDEV_VIO2_MV 5000
#define CYDEV_VIO3 5
#define CYDEV_VIO3_MV 5000
#define CyBtldr_Custom_Interface CYDEV_BOOTLOADER_IO_COMP_CUSTOM_IO
#define DMA_CHANNELS_USED__MASK0 0x00000000u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
